// Copyright (c) 1994-2010: Wieger Wesselink <j.w.wesselink@tue.nl>
//
// Distributed under the Boost Software License, Version 1.0.
// (See accompanying file LICENSE_1_0.txt or copy at
// http://www.boost.org/LICENSE_1_0.txt)

#ifndef __NEWTON_H
#define __NEWTON_H

#include <poly.h>
#include <function.h>

int FindZero(Polynomial& f, double x0, double a, double b, double tol, int maxiter, double& solution);

int Newton(const Function1D& f, double x0, double a, double b, double tol, int maxiter, double& solution);

#endif
