// Copyright (c) 1994-2010: Wieger Wesselink <j.w.wesselink@tue.nl>
//
// Distributed under the Boost Software License, Version 1.0.
// (See accompanying file LICENSE_1_0.txt or copy at
// http://www.boost.org/LICENSE_1_0.txt)

#ifndef __TUPLE_H
#define __TUPLE_H

//-----------------------------------------------------------------------//
//                          Tuple                                        //
//-----------------------------------------------------------------------//

template <class T>
class Tuple {
  protected:
    T x[2];
  public:
    Tuple(T x0, T x1)    { x[0]=x0; x[1]=x1; }
    // constructor
    
    T& operator[](int i) { return x[i]; } 
    // access to elements
};

#endif
