// Copyright (c) 1994-2010: Wieger Wesselink <j.w.wesselink@tue.nl>
//
// Distributed under the Boost Software License, Version 1.0.
// (See accompanying file LICENSE_1_0.txt or copy at
// http://www.boost.org/LICENSE_1_0.txt)

#include <geotyp.h>
#include <trapezd.h>

void TestTrapezoid()
{
  double2 left(1,1);
  double leftheight = 10;
  double2 right(8,0);
  double rightheight = 4;
  
  VerticalTrapezoid2D gamma(left, leftheight, right, rightheight);

  for (int i=0; i<5; i++) {
    gamma.Show();
    gamma.Scale(0.5);
  }
}

int main()
{
  TestTrapezoid();

  return 0;
}
